org.apache.poi.ss.usermodel

## Enum FontScheme

- java.lang.Object
- - java.lang.Enum<FontScheme>
  - - org.apache.poi.ss.usermodel.FontScheme

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<FontScheme>

      public enum FontScheme
      extends java.lang.Enum<FontScheme>

  Defines the font scheme to which this font belongs. When a font definition is part of a theme definition, then the font is categorized as either a major or minor font scheme component. When a new theme is chosen, every font that is part of a theme definition is updated to use the new major or minor font definition for that theme. Usually major fonts are used for styles like headings, and minor fonts are used for body & paragraph text.
  Author:
    Gisella Bronzetti

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MAJOR`
    `MINOR`
    `NONE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static FontScheme` | `valueOf(int value)`
    `static FontScheme` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static FontScheme[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final FontScheme NONE

    - #### MAJOR

          public static final FontScheme MAJOR

    - #### MINOR

          public static final FontScheme MINOR

  - ### Method Detail

    - #### values

          public static FontScheme[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (FontScheme c : FontScheme.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static FontScheme valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

    - #### valueOf

          public static FontScheme valueOf(int value)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.